public static final class InstanceGroupManagerAggregatedList.Builder extends GeneratedMessage.Builder<InstanceGroupManagerAggregatedList.Builder> implements InstanceGroupManagerAggregatedListOrBuilder Protobuf type google.cloud.compute.v1.InstanceGroupManagerAggregatedList
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > InstanceGroupManagerAggregatedList.BuilderImplements
InstanceGroupManagerAggregatedListOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
addAllUnreachables(Iterable<String> values)
public InstanceGroupManagerAggregatedList.Builder addAllUnreachables(Iterable<String> values)Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<String>The unreachables to add. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
addUnreachables(String value)
public InstanceGroupManagerAggregatedList.Builder addUnreachables(String value)Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe unreachables to add. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
addUnreachablesBytes(ByteString value)
public InstanceGroupManagerAggregatedList.Builder addUnreachablesBytes(ByteString value)Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes of the unreachables to add. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
build()
public InstanceGroupManagerAggregatedList build()| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList |
|
buildPartial()
public InstanceGroupManagerAggregatedList buildPartial()| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList |
|
clear()
public InstanceGroupManagerAggregatedList.Builder clear()| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
clearId()
public InstanceGroupManagerAggregatedList.Builder clearId()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
clearItems()
public InstanceGroupManagerAggregatedList.Builder clearItems()| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
clearKind()
public InstanceGroupManagerAggregatedList.Builder clearKind()Output only. The resource type, which is alwayscompute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
clearNextPageToken()
public InstanceGroupManagerAggregatedList.Builder clearNextPageToken()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
clearSelfLink()
public InstanceGroupManagerAggregatedList.Builder clearSelfLink()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
clearUnreachables()
public InstanceGroupManagerAggregatedList.Builder clearUnreachables()Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
clearWarning()
public InstanceGroupManagerAggregatedList.Builder clearWarning()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
containsItems(String key)
public boolean containsItems(String key)A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
key |
String |
| Returns | |
|---|---|
| Type | Description |
boolean |
|
getDefaultInstanceForType()
public InstanceGroupManagerAggregatedList getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getId()
public String getId()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
String |
The id. |
getIdBytes()
public ByteString getIdBytes()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for id. |
getItems() (deprecated)
public Map<String,InstanceGroupManagersScopedList> getItems()Use #getItemsMap() instead.
| Returns | |
|---|---|
| Type | Description |
Map<String,InstanceGroupManagersScopedList> |
|
getItemsCount()
public int getItemsCount()A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Returns | |
|---|---|
| Type | Description |
int |
|
getItemsMap()
public Map<String,InstanceGroupManagersScopedList> getItemsMap()A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Returns | |
|---|---|
| Type | Description |
Map<String,InstanceGroupManagersScopedList> |
|
getItemsOrDefault(String key, InstanceGroupManagersScopedList defaultValue)
public InstanceGroupManagersScopedList getItemsOrDefault(String key, InstanceGroupManagersScopedList defaultValue)A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Parameters | |
|---|---|
| Name | Description |
key |
String |
defaultValue |
InstanceGroupManagersScopedList |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagersScopedList |
|
getItemsOrThrow(String key)
public InstanceGroupManagersScopedList getItemsOrThrow(String key)A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
key |
String |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagersScopedList |
|
getKind()
public String getKind()Output only. The resource type, which is alwayscompute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public ByteString getKindBytes()Output only. The resource type, which is alwayscompute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getMutableItems() (deprecated)
public Map<String,InstanceGroupManagersScopedList> getMutableItems()Use alternate mutation accessors instead.
| Returns | |
|---|---|
| Type | Description |
Map<String,InstanceGroupManagersScopedList> |
|
getNextPageToken()
public String getNextPageToken()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public ByteString getNextPageTokenBytes()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getSelfLink()
public String getSelfLink()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLink. |
getSelfLinkBytes()
public ByteString getSelfLinkBytes()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLink. |
getUnreachables(int index)
public String getUnreachables(int index)Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The unreachables at the given index. |
getUnreachablesBytes(int index)
public ByteString getUnreachablesBytes(int index)Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the unreachables at the given index. |
getUnreachablesCount()
public int getUnreachablesCount()Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Returns | |
|---|---|
| Type | Description |
int |
The count of unreachables. |
getUnreachablesList()
public ProtocolStringList getUnreachablesList()Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Returns | |
|---|---|
| Type | Description |
ProtocolStringList |
A list containing the unreachables. |
getWarning()
public Warning getWarning()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
Warning |
The warning. |
getWarningBuilder()
public Warning.Builder getWarningBuilder()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
Warning.Builder |
|
getWarningOrBuilder()
public WarningOrBuilder getWarningOrBuilder()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
WarningOrBuilder |
|
hasId()
public boolean hasId()Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public boolean hasKind()Output only. The resource type, which is alwayscompute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasNextPageToken()
public boolean hasNextPageToken()Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |
hasSelfLink()
public boolean hasSelfLink()Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLink field is set. |
hasWarning()
public boolean hasWarning()Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the warning field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
internalGetMapFieldReflection(int number)
protected MapFieldReflectionAccessor internalGetMapFieldReflection(int number)| Parameter | |
|---|---|
| Name | Description |
number |
int |
| Returns | |
|---|---|
| Type | Description |
com.google.protobuf.MapFieldReflectionAccessor |
|
internalGetMutableMapFieldReflection(int number)
protected MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)| Parameter | |
|---|---|
| Name | Description |
number |
int |
| Returns | |
|---|---|
| Type | Description |
com.google.protobuf.MapFieldReflectionAccessor |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(InstanceGroupManagerAggregatedList other)
public InstanceGroupManagerAggregatedList.Builder mergeFrom(InstanceGroupManagerAggregatedList other)| Parameter | |
|---|---|
| Name | Description |
other |
InstanceGroupManagerAggregatedList |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public InstanceGroupManagerAggregatedList.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public InstanceGroupManagerAggregatedList.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
mergeWarning(Warning value)
public InstanceGroupManagerAggregatedList.Builder mergeWarning(Warning value)Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Parameter | |
|---|---|
| Name | Description |
value |
Warning |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
putAllItems(Map<String,InstanceGroupManagersScopedList> values)
public InstanceGroupManagerAggregatedList.Builder putAllItems(Map<String,InstanceGroupManagersScopedList> values)A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
values |
Map<String,InstanceGroupManagersScopedList> |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
putItems(String key, InstanceGroupManagersScopedList value)
public InstanceGroupManagerAggregatedList.Builder putItems(String key, InstanceGroupManagersScopedList value)A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Parameters | |
|---|---|
| Name | Description |
key |
String |
value |
InstanceGroupManagersScopedList |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
putItemsBuilderIfAbsent(String key)
public InstanceGroupManagersScopedList.Builder putItemsBuilderIfAbsent(String key)A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
key |
String |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagersScopedList.Builder |
|
removeItems(String key)
public InstanceGroupManagerAggregatedList.Builder removeItems(String key)A list of InstanceGroupManagersScopedList resources.
map<string, .google.cloud.compute.v1.InstanceGroupManagersScopedList> items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
key |
String |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
setId(String value)
public InstanceGroupManagerAggregatedList.Builder setId(String value)Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe id to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setIdBytes(ByteString value)
public InstanceGroupManagerAggregatedList.Builder setIdBytes(ByteString value)Output only. Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for id to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setKind(String value)
public InstanceGroupManagerAggregatedList.Builder setKind(String value)Output only. The resource type, which is alwayscompute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.
optional string kind = 3292052;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe kind to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setKindBytes(ByteString value)
public InstanceGroupManagerAggregatedList.Builder setKindBytes(ByteString value)Output only. The resource type, which is alwayscompute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.
optional string kind = 3292052;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for kind to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setNextPageToken(String value)
public InstanceGroupManagerAggregatedList.Builder setNextPageToken(String value)Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe nextPageToken to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setNextPageTokenBytes(ByteString value)
public InstanceGroupManagerAggregatedList.Builder setNextPageTokenBytes(ByteString value)Output only. This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for nextPageToken to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setSelfLink(String value)
public InstanceGroupManagerAggregatedList.Builder setSelfLink(String value)Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe selfLink to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setSelfLinkBytes(ByteString value)
public InstanceGroupManagerAggregatedList.Builder setSelfLinkBytes(ByteString value)Output only. Server-defined URL for this resource.
optional string self_link = 456214797;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for selfLink to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setUnreachables(int index, String value)
public InstanceGroupManagerAggregatedList.Builder setUnreachables(int index, String value)Output only. Unreachable resources.
repeated string unreachables = 243372063;
| Parameters | |
|---|---|
| Name | Description |
index |
intThe index to set the value at. |
value |
StringThe unreachables to set. |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
This builder for chaining. |
setWarning(Warning value)
public InstanceGroupManagerAggregatedList.Builder setWarning(Warning value)Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Parameter | |
|---|---|
| Name | Description |
value |
Warning |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|
setWarning(Warning.Builder builderForValue)
public InstanceGroupManagerAggregatedList.Builder setWarning(Warning.Builder builderForValue)Output only. Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Warning.Builder |
| Returns | |
|---|---|
| Type | Description |
InstanceGroupManagerAggregatedList.Builder |
|